--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Turns a service and protocol into _service._protocol format, automatically defaults to TCP if no protocol is specified. Also gracefully handles a service that is already in the _service._protocol format format.
full_name: Easyjour::type_from_parts
is_singleton: true
name: type_from_parts
params: (service, protocol = :tcp)
visibility: public
